function fasttags --description "Generate tags for Haskell project"
    if test -d .git
        if not test -e tags
            fast-tags --fully-qualified -R .
        else
            fast-tags --fully-qualified -R $argv
        end
    end
end
